Bug 1995291 - oc new-app/new-build commands should not mention docker
Summary: oc new-app/new-build commands should not mention docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Ben Parees
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-18 18:30 UTC by Ben Parees
Modified: 2021-10-18 17:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 767 0 None None None 2021-08-18 18:31:53 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:38 UTC

Comment 2 zhou ying 2021-08-24 12:29:39 UTC
the latest oc has fixed:

[root@localhost ~]# oc version --client 
Client Version: 4.9.0-202108221436.p0.git.d0cb7cc.assembly.stream-d0cb7cc

[root@localhost ~]# oc new-build -h
Create a new build by specifying source code.

.....

Usage:
  oc new-build (IMAGE | IMAGESTREAM | PATH | URL ...) [flags]

Examples:
  # Create a build config based on the source code in the current git repository (with a public
  # remote) and a container image
  oc new-build . --image=repo/langimage
....
      --image=[]: Name of a container image to use as a builder.
.....

[root@localhost ~]#  oc new-app -h
....
Usage:
  oc new-app (IMAGE | IMAGESTREAM | TEMPLATE | PATH | URL ...) [flags]

Examples:
  # List all local templates and image streams that can be used to create an app
  oc new-app --list
  
  # Create an application based on the source code in the current git repository (with a public remote) and a container
image
  oc new-app . --image=registry/repo/langimage
.....
      --image=[]: Name of a container image to include in the app.  Note:  not specifying a registry or repository means
defaults in place for client image pulls are employed.

Comment 5 errata-xmlrpc 2021-10-18 17:47:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.